# $Revision: 1.9 $, $Date: 2010/07/07 06:42:19 $
Summary:	ProjectM plugin for libvisual
Summary(pl.UTF-8):	Wtyczka ProjectM dla libvisual
Name:		libvisual-projectM
Version:	2.0.1
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://downloads.sourceforge.net/project/projectm/%{version}/projectM_libvisual-%{version}-Source.tar.gz
# Source0-md5:	35e09b09210d48b437e3574bd00b15a8
URL:		http://projectm.sourceforge.net/
BuildRequires:	SDL-devel
BuildRequires:	cmake
BuildRequires:	libprojectM-devel >= 1:1.2.0
BuildRequires:	libstdc++-devel
BuildRequires:	libvisual-devel = 0.4.0
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
projectM is a reimplementation of Milkdrop under OpenGL. This is a
plugin for libvisual visualization library.

%description -l pl.UTF-8
projectM jest reimplementacją projektu Milkdrop na OpenGL. Ten pakiet
zawiera wtyczkę dla biblioteki wizualizacji libvisual.

%prep
%setup -q -n projectM_libvisual-%{version}-Source

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog AUTHORS
%attr(755,root,root) %{_libdir}/libvisual-0.4/actor/libprojectM_libvisual.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libvisual-projectM.spec,v $
Revision 1.9  2010/07/07 06:42:19  glen
- up to 2.0.1

Revision 1.8  2009/12/02 16:51:01  sparky
- BR: libstdc++-devel, pkgconfig

Revision 1.7  2009/09/22 07:14:18  adamg
- updated to 1.2.0

Revision 1.6  2008/10/04 13:48:17  arvenil
- release 2

Revision 1.5  2008/04/01 20:44:39  arvenil
- added epoch for R: libprojectM-devel

Revision 1.4  2008-03-31 20:37:11  arvenil
- up to 1.1
- BR: SDL-devel

Revision 1.3  2008-01-28 20:36:30  qboosh
- desc cosmetic

Revision 1.2  2007-11-07 12:45:01  arvenil
- s/package/_name/
- BR:  libprojectM-devel = %{version} => BR:  libprojectM-devel >= %{version}
- adapter

Revision 1.1  2007/10/12 11:08:49  beorn
- initial
